Bug 1392428 - OPS Tools | There is a typo in heat-templates that causes to keystone check not being executed on overcloud controllers.
Summary: OPS Tools | There is a typo in heat-templates that causes to keystone check n...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: 10.0 (Newton)
Assignee: Martin Magr
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-07 13:38 UTC by Leonid Natapov
Modified: 2016-12-14 16:30 UTC (History)
5 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.1.0-2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:30:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 394824 None None None 2016-11-08 08:56:33 UTC
OpenStack gerrit 398285 None None None 2016-11-16 11:06:45 UTC
Launchpad 1640834 None None None 2016-11-10 15:25:55 UTC

Description Leonid Natapov 2016-11-07 13:38:00 UTC
Description of problem:

There is a typo in heat-templates that causes to keystone check not being executed on overcloud controllers.


Typo is here: https://github.com/openstack/tripleo-heat-templates/search?utf8=%E2%9C%93&q=overcloud-kestone&type=Code

Kestone instead of Keystone.

W/A:

override that either on environment file for overcloud deploy or in ansible playbook to use the typo instead.

Comment 1 Martin Magr 2016-11-08 08:44:08 UTC
This is not a blocker. Invalid default value in tripleo-heat-templates can be easily changed with two possible ways.

Comment 2 Jon Schlueter 2016-11-18 18:15:01 UTC
above mentioned patch has landed upstream/stable/newton and in OSP 10 build

Comment 4 Leonid Natapov 2016-11-29 13:12:27 UTC
Tested with openstack-tripleo-heat-templates-5.1.0-2.el7ost

typo is fixed.

Comment 6 errata-xmlrpc 2016-12-14 16:30:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.